"use strict";

var _index = require("./index");

describe("test 'fortawesomeBrandsShortcode()'", () => {
  it('should be a defined function', () => {
    expect(_index.fortawesomeBrandsShortcode).not.toBeUndefined();
    expect(_index.fortawesomeBrandsShortcode).toBeType('function');
  });
  it('should return a defined string', () => {
    const result = (0, _index.fortawesomeBrandsShortcode)('github', 'social-icon');
    expect(result).not.toBeUndefined();
    expect(result).toBeType('string');
  });
});
describe("test 'fortawesomeBrandsPlugin()'", () => {
  it('should be a defined function', () => {
    expect(_index.fortawesomeBrandsPlugin).not.toBeUndefined();
    expect(_index.fortawesomeBrandsPlugin).toBeType('function');
  });
  describe('test the plugin', () => {
    const mockAddShortcode = jest.fn();
    const eleventyConfig = {
      addShortcode: mockAddShortcode
    };
    beforeEach(() => {
      mockAddShortcode.mockReset();
    });
    it("should call 'eleventyConfig.addShortcode()'", () => {
      (0, _index.fortawesomeBrandsPlugin)(eleventyConfig);
      expect(mockAddShortcode).toBeCalledTimes(1);
    });
    it("should call 'eleventyConfig.addShortcode()' with the expected arguments", () => {
      (0, _index.fortawesomeBrandsPlugin)(eleventyConfig);
      expect(mockAddShortcode).toBeCalledWith('fortawesomeBrand', _index.fortawesomeBrandsShortcode);
    });
  });
});